rte_event_crypto_adapter_conf(3)

NAME
rte_event_crypto_adapter_conf

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint8_t event_port_id
uint32_t max_nb

Detailed Description

Adapter configuration structure that the adapter configuration callback function is expected to fill out

See also
    rte_event_crypto_adapter_conf_cb

Definition at line 246 of file rte_event_crypto_adapter.h.

Field Documentation

  uint8_t event_port_id
Event port identifier, the adapter enqueues events to this port and dequeues crypto request events in RTE_EVENT_CRYPTO_ADAPTER_OP_FORWARD mode.

Definition at line 247 of file rte_event_crypto_adapter.h.

  uint32_t max_nb
The adapter can return early if it has processed at least max_nb crypto ops. This isn't treated as a requirement; batching may cause the adapter to process more than max_nb crypto ops.

Definition at line 252 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.